org.cpsolver.instructor.constraints

## Class GroupConstraint.SimpleTimeCheck

- java.lang.Object
- - org.cpsolver.instructor.constraints.GroupConstraint.PairCheck
  - - org.cpsolver.instructor.constraints.GroupConstraint.SimpleCheck
    - - org.cpsolver.instructor.constraints.GroupConstraint.SimpleTimeCheck

- All Implemented Interfaces:
    GroupConstraint.Check
  Enclosing class:
    GroupConstraint

      public abstract static class GroupConstraint.SimpleTimeCheck
      extends GroupConstraint.SimpleCheck

  Simplified group constraint check interface for time-only constraints that can be computed on individual class pairs.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SimpleTimeCheck()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isSatisfied(GroupConstraint.Distribution d, Section s1, Section s2)`
    `abstract boolean` | `isSatisfied(GroupConstraint.Distribution d, TimeLocation t1, TimeLocation t2)`
    `boolean` | `isViolated(GroupConstraint.Distribution d, Section s1, Section s2)`
    `boolean` | `isViolated(GroupConstraint.Distribution d, TimeLocation t1, TimeLocation t2)`

    - ### Methods inherited from class org.cpsolver.instructor.constraints.GroupConstraint.SimpleCheck

      `isSatisfied, isViolated`

    - ### Methods inherited from class org.cpsolver.instructor.constraints.GroupConstraint.PairCheck

      `computeConflicts, getValue`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SimpleTimeCheck

          public SimpleTimeCheck()

  - ### Method Detail

    - #### isSatisfied

          public abstract boolean isSatisfied(GroupConstraint.Distribution d,
                                              TimeLocation t1,
                                              TimeLocation t2)

    - #### isViolated

          public boolean isViolated(GroupConstraint.Distribution d,
                                    TimeLocation t1,
                                    TimeLocation t2)

    - #### isSatisfied

          public boolean isSatisfied(GroupConstraint.Distribution d,
                                     Section s1,
                                     Section s2)

      Specified by:
        `isSatisfied` in class `GroupConstraint.SimpleCheck`

    - #### isViolated

          public boolean isViolated(GroupConstraint.Distribution d,
                                    Section s1,
                                    Section s2)

      Overrides:
        `isViolated` in class `GroupConstraint.SimpleCheck`